Subject: Re: Update on: MPC85xx git/MPC8548cds - PCI/PCIE problemS with Marvel SATA driver...

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 24 Feb 2007 09:25:05 +0100

On Fri, 2007-02-23 at 14:57 -0500, Morrison, Tom wrote:
> All,
> 
> I have yet to successfully gone through full initialization / 
> registration of this driver for this board.
> 
> I have both a Marvell PCI SATA Card (with 6042 chip) 
> and a Marvell PCI Express SATA card (with 7042 chip).
> 
> PCI/6042 Chip Marvel SATA Card
> ==============================
>    On PCI Bus - the card is probed, and finds the SATA drive - 
>    goes through an ata add device process - up to adding scsi device -
>    even goes all the way to checking the file system -and lastly says:
> 
>        SCSI device sda: write cache: enabled, read cache: enabled, 
>         sda: unknown partition table
>        sd 0:0:0:0: Attached scsi disk sda
> 
>    After full boot (I am nfs mounting my root file system until I get
>    this working), I try to mount drive - no good - I can't mount it
>    (it also doesn't create a /dev/sda or /dev/sda1 device - I assume 
>    that if it knew the partitioning table - it would actually create
>    these devices and Yes, I have ms-dos file system support compiled in?

The above looks like it's working and you don't have a proper partition
table on the disk or you haven't compiled in support for the right type
of partition map (this is different from the filesystem type)....

Make sure you enable MS-DOS partition type support in addition to file
system type.

Ben.